def parameter
switch(smardigoManagementAction) {
  case { it.contains('pmci-tenant') }: 
    parameter = [
                  stage                     : envStage, 
                  scope_id                  : contextScopeId,
                  process_instance_id       : execution.getProcessInstanceId(),
                  smardigo_management_action: smardigoManagementAction,
                  tenant                    : tenant,
                  data                      : binding.hasVariable('data') ? data : []
                ]
    break;
  case { it.contains('pmci-database') || it.contains('pmci-inventory') || it.contains('pmci-kibana') ||
         it.contains('pmci-realm')    || it.contains('pmci-server')    || it.contains('pmci-service')  }: 
    parameter = [
                  stage                     : envStage, 
                  scope_id                  : contextScopeId,
                  process_instance_id       : execution.getProcessInstanceId(),
                  smardigo_management_action: smardigoManagementAction,
                  tenant                    : tenant,
                  cluster                   : binding.hasVariable('service') ? service.cluster<<[features:service.connect_features]: [],
                  data                      : binding.hasVariable('data') ? data : []
                ]
    break;
  default: 
    parameter = [
                  stage                     : envStage, 
                  scope_id                  : contextScopeId,
                  process_instance_id       : execution.getProcessInstanceId(),
                  smardigo_management_action: smardigoManagementAction
                ]
    break;
}
return parameter